Show / Hide Table of Contents

# Struct ULDComponentDataTextInput

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.Component.GUI.ULD

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ULDComponentDataTextInput

### Fields

| Improve this Doc View Source

#### CandidateColor

##### Declaration

    public FFXIVByteColor CandidateColor

##### Field Value

Type | Description
--- | ---
FFXIVByteColor |

| Improve this Doc View Source

#### CharSet

##### Declaration

    public ushort CharSet

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### CharSetExtras

##### Declaration

    public byte *CharSetExtras

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### Flags1

##### Declaration

    public byte Flags1

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Flags2

##### Declaration

    public byte Flags2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IMEColor

##### Declaration

    public FFXIVByteColor IMEColor

##### Field Value

Type | Description
--- | ---
FFXIVByteColor |

| Improve this Doc View Source

#### InputBase

##### Declaration

    public ULDComponentDataInputBase InputBase

##### Field Value

Type | Description
--- | ---
ULDComponentDataInputBase |

| Improve this Doc View Source

#### MaxByte

##### Declaration

    public uint MaxByte

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MaxChar

##### Declaration

    public uint MaxChar

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MaxLine

##### Declaration

    public uint MaxLine

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MaxWidth

##### Declaration

    public uint MaxWidth

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Nodes

##### Declaration

    public uint *Nodes

##### Field Value

Type | Description
--- | ---
System.UInt32* |